<style type="text/css" scoped="">
.base_form_bg{
  position: absolute;
  left: 0px;
  width: 228px;
  height: 100%;
  bottom: 0px;
  background-repeat: no-repeat;
  background-size: contain;
  background-position: center bottom;
}
</style>
<template>
  <div>
    <base_dialog @close="close" :mask_style="mask_style" :style="style" :show_close="show_close">
      <div class="base_form_ct">
        <div class="base_form_bg" :class="bg_class"></div>

        <div class="concat_form_ct">
          <div class="action_form_title">
            <slot name="title"></slot>
          </div>
          <concat_form v-model="form_val" :err_msg="err_msg" :list="form_items"></concat_form>
          <br/>
          <a class="action_btn" @click="submit">
            <slot name="submit">添加</slot>
          </a>
        </div>

      </div>
    </base_dialog>
  </div>
</template>
<script>
import base_dialog from '@/components/base_dialog.vue'
import concat_form from '@/components/concat_form.vue'
export default {
  data () {
    return {
      form_val: {},
      form_items: [
      ]
    }
  },
  props: {
    err_msg: {
      type: String,
      default () {
        return ''
      }
    },
    list: {
      type: Array,
      default () {
        return [];
      }
    },
    title: {
      type: String,
      default () {
        return '';
      }
    },
    bg_class: {
      type: String,
      default () {
        return '';
      }
    },
    mask_style: {
      type: Object,
      default () {
        return {};
      }
    },
    style: {
      type: Object,
      default () {
        return {};
      }
    },
    show_close: {
      type: Boolean,
      default () {
        return true;
      }
    }
  },
  watch: {
    'list' () {
      this.form_items.splice(0, this.form_items.length, ...this.list);
    }
  },
  mounted () {
    this.form_items.splice(0, this.form_items.length, ...this.list);
  },
  methods: {
    close () {
      this.$emit('close');
    },
    submit () {
      this.$emit('submit', this.form_val);
    }
  },
  components: {
    base_dialog,
    concat_form
  }
}
</script>